Subject: Re: [lojban] [OT] wget (was Re: archive of all jboske?)

From: Pierre Abbat <[email-masked]>
Date: Thu, 17 Apr 2003 23:31:48 -0400

On Thursday 17 April 2003 23:11, sshiskom wrote:
> > There is no easy way. It can be done with wget and some creativity.
> > Let me see what I can do.
>
> I'm relatively new to UNIX. And when I try
>
> ----
> $ wget http://groups.yahoo.com/group/lojban/message/1
> ----
>
> I get following messages (a bit edited):
>
> ----
> Connecting to groups.yahoo.com:80... connected!
> HTTP request sent, awaiting response... 302
> Location: http://groups.yahoo.com/group/lojban/auth?done=%2Fgroup%
> 2Flojban%2Fmessage%2F1 [following]
>
> Connecting to groups.yahoo.com:80... connected!
> HTTP request sent, awaiting response... 302
> Location: http://groups.yahoo.com/group/lojban/auth?check=G&done=%
> 2Fgroup%2Flojban%2Fmessage%2F1 [following]
>
> Connecting to groups.yahoo.com:80... connected!
> HTTP request sent, awaiting response... 302
> Location: http://groups.yahoo.com/group/lojban/message/1 [following]
>
> http://groups.yahoo.com/group/lojban/message/1: Redirection cycle
> detected.
> ----
>
> It seems Yahoo! Groups do some automatic authentication check and
> when finished, redirect to the original url. And wget detects
> cycle, and stops.
>
> How to solve this problem?

Try curl with the --referer option. Set it to whatever page you looked at 
before looking at 1. When I use curl without the referer, I get "Aren't you 
supposed to be somewhere else?".